<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:24 CEST 2019 -->
<title>DatatypeCoder (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DatatypeCoder (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6,"i27":6,"i28":6,"i29":6,"i30":6,"i31":6,"i32":6,"i33":6,"i34":6,"i35":6,"i36":6,"i37":6,"i38":6,"i39":6,"i40":6,"i41":6,"i42":6,"i43":6,"i44":6,"i45":6,"i46":6,"i47":6,"i48":6,"i49":6,"i50":6,"i51":6,"i52":6,"i53":6,"i54":6,"i55":6,"i56":6,"i57":6,"i58":6,"i59":6,"i60":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/BlobLengthProcessor.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/DatatypeCoder.html" target="_top">Frames</a></li>
<li><a href="DatatypeCoder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng</div>
<h2 title="Interface DatatypeCoder" class="title">Interface DatatypeCoder</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/jna/BigEndianDatatypeCoder.html" title="class in org.firebirdsql.gds.ng.jna">BigEndianDatatypeCoder</a>, <a href="../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a>, <a href="../../../../org/firebirdsql/gds/ng/EncodingSpecificDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">EncodingSpecificDatatypeCoder</a>, <a href="../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html" title="class in org.firebirdsql.gds.ng.jna">LittleEndianDatatypeCoder</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">DatatypeCoder</span></pre>
<div class="block">Interface defining the encoding and decoding for Firebird (numerical) data types.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a></span></code>
<div class="block">Raw date/time value.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#FRACTIONS_PER_HOUR">FRACTIONS_PER_HOUR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#FRACTIONS_PER_MILLISECOND">FRACTIONS_PER_MILLISECOND</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#FRACTIONS_PER_MINUTE">FRACTIONS_PER_MINUTE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#FRACTIONS_PER_SECOND">FRACTIONS_PER_SECOND</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#NANOSECONDS_PER_FRACTION">NANOSECONDS_PER_FRACTION</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#createReader-java.io.InputStream-">createReader</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;inputStream)</code>
<div class="block">Creates a reader wrapping an input stream.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#createWriter-java.io.OutputStream-">createWriter</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;outputStream)</code>
<div class="block">Creates a writer wrapping an input stream.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeBoolean-byte:A-">decodeBoolean</a></span>(byte[]&nbsp;data)</code>
<div class="block">Decode boolean from supplied data.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeDate-byte:A-">decodeDate</a></span>(byte[]&nbsp;byte_int)</code>
<div class="block">Decode a <code>byte</code> array into a <code>Date</code> value.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeDate-java.sql.Date-java.util.Calendar-">decodeDate</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;d,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)</code>
<div class="block">Decode a <code>Date</code> value using a given <code>Calendar</code>.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeDateCalendar-byte:A-java.util.Calendar-">decodeDateCalendar</a></span>(byte[]&nbsp;byte_int,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeDateRaw-byte:A-">decodeDateRaw</a></span>(byte[]&nbsp;byte_int)</code>
<div class="block">Decode a <code>byte</code> array into a raw date time struct.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/extern/decimal/Decimal128.html" title="class in org.firebirdsql.extern.decimal">Decimal128</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeDecimal128-byte:A-">decodeDecimal128</a></span>(byte[]&nbsp;data)</code>
<div class="block">Decodes a decimal128 from byte array.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/extern/decimal/Decimal64.html" title="class in org.firebirdsql.extern.decimal">Decimal64</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeDecimal64-byte:A-">decodeDecimal64</a></span>(byte[]&nbsp;data)</code>
<div class="block">Decodes a decimal64 from byte array.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeDouble-byte:A-">decodeDouble</a></span>(byte[]&nbsp;byte_int)</code>
<div class="block">Decode a <code>byte</code> array into a <code>double</code> value.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeFloat-byte:A-">decodeFloat</a></span>(byte[]&nbsp;byte_int)</code>
<div class="block">Decode a <code>byte</code> array into a <code>float</code> value.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeInt-byte:A-">decodeInt</a></span>(byte[]&nbsp;byte_int)</code>
<div class="block">Decode a <code>byte</code> array into an <code>int</code> value.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeInt-byte:A-int-">decodeInt</a></span>(byte[]&nbsp;bytes,
         int&nbsp;fromIndex)</code>
<div class="block">Decode a <code>byte</code> array to an <code>int</code> value.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeLong-byte:A-">decodeLong</a></span>(byte[]&nbsp;byte_int)</code>
<div class="block">Decode a <code>byte</code> array into a <code>long</code> value.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeShort-byte:A-">decodeShort</a></span>(byte[]&nbsp;byte_int)</code>
<div class="block">Decode a <code>byte</code> array into a <code>short</code> value.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeShort-byte:A-int-">decodeShort</a></span>(byte[]&nbsp;bytes,
           int&nbsp;fromIndex)</code>
<div class="block">Decode from a <code>byte</code> array to a <code>short</code> value.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeString-byte:A-">decodeString</a></span>(byte[]&nbsp;value)</code>
<div class="block">Decode an encoded <code>byte</code> array into a <code>String</code> using the encoding of this datatype coder.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeTime-byte:A-">decodeTime</a></span>(byte[]&nbsp;int_byte)</code>
<div class="block">Decode a <code>byte</code> array into a <code>Time</code> value.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeTime-java.sql.Time-java.util.Calendar-boolean-">decodeTime</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;d,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal,
          boolean&nbsp;invertTimeZone)</code>
<div class="block">Decode a <code>Time</code> value using a given <code>Calendar</code>.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeTimeCalendar-byte:A-java.util.Calendar-">decodeTimeCalendar</a></span>(byte[]&nbsp;int_byte,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeTimeRaw-byte:A-">decodeTimeRaw</a></span>(byte[]&nbsp;int_byte)</code>
<div class="block">Decode a <code>byte</code> array into a raw date time struct.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeTimestamp-byte:A-">decodeTimestamp</a></span>(byte[]&nbsp;byte_long)</code>
<div class="block">Decode a 8-byte <code>byte</code> array into a <code>Timestamp</code>.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeTimestamp-java.sql.Timestamp-java.util.Calendar-">decodeTimestamp</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)</code>
<div class="block">Decode a <code>Timestamp</code> value using a given <code>Calendar</code>.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeTimestamp-java.sql.Timestamp-java.util.Calendar-boolean-">decodeTimestamp</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal,
               boolean&nbsp;invertTimeZone)</code>
<div class="block">Decode a <code>Timestamp</code> value using a given <code>Calendar</code>.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeTimestampCalendar-byte:A-java.util.Calendar-">decodeTimestampCalendar</a></span>(byte[]&nbsp;byte_long,
                       <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeTimestampRaw-byte:A-">decodeTimestampRaw</a></span>(byte[]&nbsp;byte_long)</code>
<div class="block">Decode a 8-byte <code>byte</code> array into a raw date time struct.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeBoolean-boolean-">encodeBoolean</a></span>(boolean&nbsp;value)</code>
<div class="block">Encodes boolean to 1 byte data.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeDate-java.sql.Date-">encodeDate</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;d)</code>
<div class="block">Encode a <code>Date</code> value into a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeDate-java.sql.Date-java.util.Calendar-">encodeDate</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;d,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)</code>
<div class="block">Encode a given <code>Date</code> value using a given <code>Calendar</code>.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeDateCalendar-java.sql.Date-java.util.Calendar-">encodeDateCalendar</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;d,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeDateRaw-org.firebirdsql.gds.ng.DatatypeCoder.RawDateTimeStruct-">encodeDateRaw</a></span>(<a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a>&nbsp;raw)</code>
<div class="block">Encode the date portion of a raw date time struct into a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeDecimal128-org.firebirdsql.extern.decimal.Decimal128-">encodeDecimal128</a></span>(<a href="../../../../org/firebirdsql/extern/decimal/Decimal128.html" title="class in org.firebirdsql.extern.decimal">Decimal128</a>&nbsp;decimal128)</code>
<div class="block">Encodes a decimal128 to a byte array.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeDecimal64-org.firebirdsql.extern.decimal.Decimal64-">encodeDecimal64</a></span>(<a href="../../../../org/firebirdsql/extern/decimal/Decimal64.html" title="class in org.firebirdsql.extern.decimal">Decimal64</a>&nbsp;decimal64)</code>
<div class="block">Encodes a decimal64 to a byte array.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeDouble-double-">encodeDouble</a></span>(double&nbsp;value)</code>
<div class="block">Encode a <code>double</code> value as a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeFloat-float-">encodeFloat</a></span>(float&nbsp;value)</code>
<div class="block">Encode a <code>float</code> value as a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeInt-int-">encodeInt</a></span>(int&nbsp;value)</code>
<div class="block">Encode an <code>int</code> value as a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeInt-int-byte:A-int-">encodeInt</a></span>(int&nbsp;value,
         byte[]&nbsp;target,
         int&nbsp;fromIndex)</code>
<div class="block">Encode an <code>int</code> value into the <code>target</code> byte array starting at index <code>fromIndex</code>.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeLocalDate-int-int-int-">encodeLocalDate</a></span>(int&nbsp;year,
               int&nbsp;month,
               int&nbsp;day)</code>
<div class="block">Encodes a java.time.LocalDate equivalent to date bytes.</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeLocalDateTime-int-int-int-int-int-int-int-">encodeLocalDateTime</a></span>(int&nbsp;year,
                   int&nbsp;month,
                   int&nbsp;day,
                   int&nbsp;hour,
                   int&nbsp;minute,
                   int&nbsp;second,
                   int&nbsp;nanos)</code>
<div class="block">Encodes a java.time.LocalDateTime equivalent to timestamp bytes.</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeLocalTime-int-int-int-int-">encodeLocalTime</a></span>(int&nbsp;hour,
               int&nbsp;minute,
               int&nbsp;second,
               int&nbsp;nanos)</code>
<div class="block">Encodes a java.time.LocalTime equivalent to time bytes.</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeLong-long-">encodeLong</a></span>(long&nbsp;value)</code>
<div class="block">Encode a <code>long</code> value as a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeShort-int-">encodeShort</a></span>(int&nbsp;value)</code>
<div class="block">Encode a <code>short</code> value as a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeShort-int-byte:A-int-">encodeShort</a></span>(int&nbsp;value,
           byte[]&nbsp;target,
           int&nbsp;fromIndex)</code>
<div class="block">Encode a <code>short</code> value into the <code>target</code> byte array starting at index <code>fromIndex</code>.</div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeShort-short-">encodeShort</a></span>(short&nbsp;value)</code>
<div class="block">Encode a <code>short</code> value as a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeString-java.lang.String-">encodeString</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Encode a <code>String</code> value into a <code>byte</code> array using the encoding of this datatype coder.</div>
</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeTime-java.sql.Time-">encodeTime</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;d)</code>
<div class="block">Encode a <code>Time</code> value into a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeTime-java.sql.Time-java.util.Calendar-boolean-">encodeTime</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;d,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal,
          boolean&nbsp;invertTimeZone)</code>
<div class="block">Encode a given <code>Time</code> value using a given <code>Calendar</code>.</div>
</td>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeTimeCalendar-java.sql.Time-java.util.Calendar-">encodeTimeCalendar</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;d,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeTimeRaw-org.firebirdsql.gds.ng.DatatypeCoder.RawDateTimeStruct-">encodeTimeRaw</a></span>(<a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a>&nbsp;raw)</code>
<div class="block">Encode the time portion of a raw date time struct into a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeTimestamp-java.sql.Timestamp-">encodeTimestamp</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value)</code>
<div class="block">Encode a <code>Timestamp</code> as a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i50" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeTimestamp-java.sql.Timestamp-java.util.Calendar-">encodeTimestamp</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)</code>
<div class="block">Encode a <code>Timestamp</code> using a given <code>Calendar</code>.</div>
</td>
</tr>
<tr id="i51" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeTimestamp-java.sql.Timestamp-java.util.Calendar-boolean-">encodeTimestamp</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal,
               boolean&nbsp;invertTimeZone)</code>
<div class="block">Encode a <code>Timestamp</code> using a given <code>Calendar</code>.</div>
</td>
</tr>
<tr id="i52" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeTimestampCalendar-java.sql.Timestamp-java.util.Calendar-">encodeTimestampCalendar</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value,
                       <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i53" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeTimestampRaw-org.firebirdsql.gds.ng.DatatypeCoder.RawDateTimeStruct-">encodeTimestampRaw</a></span>(<a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a>&nbsp;raw)</code>
<div class="block">Encode the date and time portions of a raw date time struct into a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i54" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#equals-java.lang.Object-">equals</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;other)</code></td>
</tr>
<tr id="i55" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#forEncodingDefinition-org.firebirdsql.encodings.EncodingDefinition-">forEncodingDefinition</a></span>(<a href="../../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a>&nbsp;encodingDefinition)</code>
<div class="block">Return a derived datatype coder that applies the supplied encoding definition for string conversions.</div>
</td>
</tr>
<tr id="i56" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#getEncoding--">getEncoding</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i57" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#getEncodingDefinition--">getEncodingDefinition</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i58" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#getEncodingFactory--">getEncodingFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i59" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i60" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#unwrap--">unwrap</a></span>()</code>
<div class="block">Unwrap this datatype coder to its parent (or itself).</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="NANOSECONDS_PER_FRACTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NANOSECONDS_PER_FRACTION</h4>
<pre>static final&nbsp;int NANOSECONDS_PER_FRACTION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.ng.DatatypeCoder.NANOSECONDS_PER_FRACTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FRACTIONS_PER_MILLISECOND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FRACTIONS_PER_MILLISECOND</h4>
<pre>static final&nbsp;int FRACTIONS_PER_MILLISECOND</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.ng.DatatypeCoder.FRACTIONS_PER_MILLISECOND">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FRACTIONS_PER_SECOND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FRACTIONS_PER_SECOND</h4>
<pre>static final&nbsp;int FRACTIONS_PER_SECOND</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.ng.DatatypeCoder.FRACTIONS_PER_SECOND">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FRACTIONS_PER_MINUTE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FRACTIONS_PER_MINUTE</h4>
<pre>static final&nbsp;int FRACTIONS_PER_MINUTE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.ng.DatatypeCoder.FRACTIONS_PER_MINUTE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FRACTIONS_PER_HOUR">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FRACTIONS_PER_HOUR</h4>
<pre>static final&nbsp;int FRACTIONS_PER_HOUR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.ng.DatatypeCoder.FRACTIONS_PER_HOUR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="encodeShort-short-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeShort</h4>
<pre>byte[]&nbsp;encodeShort(short&nbsp;value)</pre>
<div class="block">Encode a <code>short</code> value as a <code>byte</code> array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The value of <code>value</code> encoded as a <code>byte</code> array</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeShort-int-"><code>encodeShort(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="encodeShort-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeShort</h4>
<pre>byte[]&nbsp;encodeShort(int&nbsp;value)</pre>
<div class="block">Encode a <code>short</code> value as a <code>byte</code> array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The value of <code>value</code> encoded as a <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="encodeShort-int-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeShort</h4>
<pre>void&nbsp;encodeShort(int&nbsp;value,
                 byte[]&nbsp;target,
                 int&nbsp;fromIndex)</pre>
<div class="block">Encode a <code>short</code> value into the <code>target</code> byte array starting at index <code>fromIndex</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to be encoded</dd>
<dd><code>target</code> - Target byte array of sufficient size (warning: this may be datatype coder specific)</dd>
<dd><code>fromIndex</code> - Index to start writing</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="decodeShort-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeShort</h4>
<pre>short&nbsp;decodeShort(byte[]&nbsp;byte_int)</pre>
<div class="block">Decode a <code>byte</code> array into a <code>short</code> value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>byte_int</code> - The <code>byte</code> array to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>short</code> value of the decoded <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="decodeShort-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeShort</h4>
<pre>short&nbsp;decodeShort(byte[]&nbsp;bytes,
                  int&nbsp;fromIndex)</pre>
<div class="block">Decode from a <code>byte</code> array to a <code>short</code> value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bytes</code> - The <code>byte</code> array to be decoded</dd>
<dd><code>fromIndex</code> - The index to start reading</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>short</code> value of the decoded <code>byte</code> array</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="encodeInt-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeInt</h4>
<pre>byte[]&nbsp;encodeInt(int&nbsp;value)</pre>
<div class="block">Encode an <code>int</code> value as a <code>byte</code> array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The value of <code>value</code> encoded as a <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="encodeInt-int-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeInt</h4>
<pre>void&nbsp;encodeInt(int&nbsp;value,
               byte[]&nbsp;target,
               int&nbsp;fromIndex)</pre>
<div class="block">Encode an <code>int</code> value into the <code>target</code> byte array starting at index <code>fromIndex</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to be encoded</dd>
<dd><code>target</code> - Target byte array of sufficient size</dd>
<dd><code>fromIndex</code> - Index to start writing</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="decodeInt-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeInt</h4>
<pre>int&nbsp;decodeInt(byte[]&nbsp;byte_int)</pre>
<div class="block">Decode a <code>byte</code> array into an <code>int</code> value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>byte_int</code> - The <code>byte</code> array to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>int</code> value of the decoded <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="decodeInt-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeInt</h4>
<pre>int&nbsp;decodeInt(byte[]&nbsp;bytes,
              int&nbsp;fromIndex)</pre>
<div class="block">Decode a <code>byte</code> array to an <code>int</code> value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bytes</code> - The <code>byte</code> array to be decoded</dd>
<dd><code>fromIndex</code> - The index to start reading</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>int</code> value of the decoded <code>byte</code> array</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="encodeLong-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeLong</h4>
<pre>byte[]&nbsp;encodeLong(long&nbsp;value)</pre>
<div class="block">Encode a <code>long</code> value as a <code>byte</code> array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The value of <code>value</code> encoded as a <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="decodeLong-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeLong</h4>
<pre>long&nbsp;decodeLong(byte[]&nbsp;byte_int)</pre>
<div class="block">Decode a <code>byte</code> array into a <code>long</code> value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>byte_int</code> - The <code>byte</code> array to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>long</code> value of the decoded <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="encodeFloat-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeFloat</h4>
<pre>byte[]&nbsp;encodeFloat(float&nbsp;value)</pre>
<div class="block">Encode a <code>float</code> value as a <code>byte</code> array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The value of <code>value</code> encoded as a <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="decodeFloat-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeFloat</h4>
<pre>float&nbsp;decodeFloat(byte[]&nbsp;byte_int)</pre>
<div class="block">Decode a <code>byte</code> array into a <code>float</code> value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>byte_int</code> - The <code>byte</code> array to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>float</code> value of the decoded <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="encodeDouble-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeDouble</h4>
<pre>byte[]&nbsp;encodeDouble(double&nbsp;value)</pre>
<div class="block">Encode a <code>double</code> value as a <code>byte</code> array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The value of <code>value</code> encoded as a <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="decodeDouble-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeDouble</h4>
<pre>double&nbsp;decodeDouble(byte[]&nbsp;byte_int)</pre>
<div class="block">Decode a <code>byte</code> array into a <code>double</code> value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>byte_int</code> - The <code>byte</code> array to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>double</code> value of the decoded <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="encodeString-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeString</h4>
<pre>byte[]&nbsp;encodeString(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Encode a <code>String</code> value into a <code>byte</code> array using the encoding of this datatype coder.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <code>String</code> to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The value of <code>value</code> as a <code>byte</code> array</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="createWriter-java.io.OutputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createWriter</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;createWriter(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;outputStream)</pre>
<div class="block">Creates a writer wrapping an input stream.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>outputStream</code> - Input stream</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Writer applying the encoding of this datatype when writing</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="decodeString-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeString</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;decodeString(byte[]&nbsp;value)</pre>
<div class="block">Decode an encoded <code>byte</code> array into a <code>String</code> using the encoding of this datatype coder.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The decoded <code>String</code></dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="createReader-java.io.InputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createReader</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;createReader(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;inputStream)</pre>
<div class="block">Creates a reader wrapping an input stream.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>inputStream</code> - Input stream</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Reader applying the encoding of this datatype coder when reading</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="encodeTimestamp-java.sql.Timestamp-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeTimestamp</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;encodeTimestamp(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value,
                          <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)</pre>
<div class="block">Encode a <code>Timestamp</code> using a given <code>Calendar</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <code>Timestamp</code> to be encoded</dd>
<dd><code>cal</code> - The <code>Calendar</code> to be used for encoding, may be <code>null</code></dd>
</dl>
</li>
</ul>
<a name="encodeTimestamp-java.sql.Timestamp-java.util.Calendar-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeTimestamp</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;encodeTimestamp(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value,
                          <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal,
                          boolean&nbsp;invertTimeZone)</pre>
<div class="block">Encode a <code>Timestamp</code> using a given <code>Calendar</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <code>Timestamp</code> to be encoded</dd>
<dd><code>cal</code> - The <code>Calendar</code> to be used for encoding,
        may be <code>null</code></dd>
<dd><code>invertTimeZone</code> - If <code>true</code>, the timezone offset value
        will be subtracted from the encoded value, otherwise it will
        be added</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The encoded <code>Timestamp</code></dd>
</dl>
</li>
</ul>
<a name="encodeTimestamp-java.sql.Timestamp-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeTimestamp</h4>
<pre>byte[]&nbsp;encodeTimestamp(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value)</pre>
<div class="block">Encode a <code>Timestamp</code> as a <code>byte</code> array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <code>Timestamp</code> to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The array of <code>byte</code>s that represents the given <code>Timestamp</code> value</dd>
</dl>
</li>
</ul>
<a name="encodeTimestampRaw-org.firebirdsql.gds.ng.DatatypeCoder.RawDateTimeStruct-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeTimestampRaw</h4>
<pre>byte[]&nbsp;encodeTimestampRaw(<a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a>&nbsp;raw)</pre>
<div class="block">Encode the date and time portions of a raw date time struct into a <code>byte</code> array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>raw</code> - The <code>RawDateTimeStruct</code> to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The array of <code>byte</code>s representing the date and time of the given <code>RawDateTimeStruct</code></dd>
</dl>
</li>
</ul>
<a name="encodeTimestampCalendar-java.sql.Timestamp-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeTimestampCalendar</h4>
<pre>byte[]&nbsp;encodeTimestampCalendar(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value,
                               <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;c)</pre>
</li>
</ul>
<a name="decodeTimestamp-java.sql.Timestamp-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeTimestamp</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;decodeTimestamp(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value,
                          <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)</pre>
<div class="block">Decode a <code>Timestamp</code> value using a given <code>Calendar</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <code>Timestamp</code> to be decoded</dd>
<dd><code>cal</code> - The <code>Calendar</code> to be used in decoding,
        may be <code>null</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The decoded <code>Timestamp</code></dd>
</dl>
</li>
</ul>
<a name="decodeTimestamp-java.sql.Timestamp-java.util.Calendar-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeTimestamp</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;decodeTimestamp(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value,
                          <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal,
                          boolean&nbsp;invertTimeZone)</pre>
<div class="block">Decode a <code>Timestamp</code> value using a given <code>Calendar</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <code>Timestamp</code> to be decoded</dd>
<dd><code>cal</code> - The <code>Calendar</code> to be used in decoding,
        may be <code>null</code></dd>
<dd><code>invertTimeZone</code> - If <code>true</code>, the timezone offset value
        will be subtracted from the decoded value, otherwise it will
        be added</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The encoded <code>Timestamp</code></dd>
</dl>
</li>
</ul>
<a name="decodeTimestamp-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeTimestamp</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;decodeTimestamp(byte[]&nbsp;byte_long)</pre>
<div class="block">Decode a 8-byte <code>byte</code> array into a <code>Timestamp</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>byte_long</code> - The <code>byte</code> array to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <code>Timestamp</code> value from the decoded bytes</dd>
</dl>
</li>
</ul>
<a name="decodeTimestampRaw-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeTimestampRaw</h4>
<pre><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a>&nbsp;decodeTimestampRaw(byte[]&nbsp;byte_long)</pre>
<div class="block">Decode a 8-byte <code>byte</code> array into a raw date time struct.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>byte_long</code> - The <code>byte</code> array to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng"><code>DatatypeCoder.RawDateTimeStruct</code></a>.</dd>
</dl>
</li>
</ul>
<a name="decodeTimestampCalendar-byte:A-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeTimestampCalendar</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;decodeTimestampCalendar(byte[]&nbsp;byte_long,
                                  <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;c)</pre>
</li>
</ul>
<a name="encodeTime-java.sql.Time-java.util.Calendar-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeTime</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;encodeTime(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;d,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal,
                boolean&nbsp;invertTimeZone)</pre>
<div class="block">Encode a given <code>Time</code> value using a given <code>Calendar</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>d</code> - The <code>Time</code> to be encoded</dd>
<dd><code>cal</code> - The <code>Calendar</code> to be used in the encoding, may be <code>null</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The encoded <code>Time</code></dd>
</dl>
</li>
</ul>
<a name="encodeTime-java.sql.Time-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeTime</h4>
<pre>byte[]&nbsp;encodeTime(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;d)</pre>
<div class="block">Encode a <code>Time</code> value into a <code>byte</code> array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>d</code> - The <code>Time</code> to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The array of <code>byte</code>s representing the given <code>Time</code></dd>
</dl>
</li>
</ul>
<a name="encodeTimeRaw-org.firebirdsql.gds.ng.DatatypeCoder.RawDateTimeStruct-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeTimeRaw</h4>
<pre>byte[]&nbsp;encodeTimeRaw(<a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a>&nbsp;raw)</pre>
<div class="block">Encode the time portion of a raw date time struct into a <code>byte</code> array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>raw</code> - The <code>RawDateTimeStruct</code> to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The array of <code>byte</code>s representing the time of the given <code>RawDateTimeStruct</code></dd>
</dl>
</li>
</ul>
<a name="encodeTimeCalendar-java.sql.Time-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeTimeCalendar</h4>
<pre>byte[]&nbsp;encodeTimeCalendar(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;d,
                          <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;c)</pre>
</li>
</ul>
<a name="decodeTime-java.sql.Time-java.util.Calendar-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeTime</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;decodeTime(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;d,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal,
                boolean&nbsp;invertTimeZone)</pre>
<div class="block">Decode a <code>Time</code> value using a given <code>Calendar</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>d</code> - The <code>Time</code> to be decoded</dd>
<dd><code>cal</code> - The <code>Calendar</code> to be used in the decoding, may be <code>null</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The decooded <code>Time</code></dd>
</dl>
</li>
</ul>
<a name="decodeTime-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeTime</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;decodeTime(byte[]&nbsp;int_byte)</pre>
<div class="block">Decode a <code>byte</code> array into a <code>Time</code> value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>int_byte</code> - The <code>byte</code> array to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The decoded <code>Time</code></dd>
</dl>
</li>
</ul>
<a name="decodeTimeRaw-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeTimeRaw</h4>
<pre><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a>&nbsp;decodeTimeRaw(byte[]&nbsp;int_byte)</pre>
<div class="block">Decode a <code>byte</code> array into a raw date time struct.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>int_byte</code> - The <code>byte</code> array to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng"><code>DatatypeCoder.RawDateTimeStruct</code></a></dd>
</dl>
</li>
</ul>
<a name="decodeTimeCalendar-byte:A-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeTimeCalendar</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;decodeTimeCalendar(byte[]&nbsp;int_byte,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;c)</pre>
</li>
</ul>
<a name="encodeDate-java.sql.Date-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeDate</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;encodeDate(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;d,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)</pre>
<div class="block">Encode a given <code>Date</code> value using a given <code>Calendar</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>d</code> - The <code>Date</code> to be encoded</dd>
<dd><code>cal</code> - The <code>Calendar</code> to be used in the encoding, may be <code>null</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The encoded <code>Date</code></dd>
</dl>
</li>
</ul>
<a name="encodeDate-java.sql.Date-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeDate</h4>
<pre>byte[]&nbsp;encodeDate(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;d)</pre>
<div class="block">Encode a <code>Date</code> value into a <code>byte</code> array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>d</code> - The <code>Date</code> to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The array of <code>byte</code>s representing the given <code>Date</code></dd>
</dl>
</li>
</ul>
<a name="encodeDateRaw-org.firebirdsql.gds.ng.DatatypeCoder.RawDateTimeStruct-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeDateRaw</h4>
<pre>byte[]&nbsp;encodeDateRaw(<a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a>&nbsp;raw)</pre>
<div class="block">Encode the date portion of a raw date time struct into a <code>byte</code> array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>raw</code> - The <code>RawDateTimeStruct</code> to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The array of <code>byte</code>s representing the date of the given <code>RawDateTimeStruct</code></dd>
</dl>
</li>
</ul>
<a name="encodeDateCalendar-java.sql.Date-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeDateCalendar</h4>
<pre>byte[]&nbsp;encodeDateCalendar(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;d,
                          <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;c)</pre>
</li>
</ul>
<a name="decodeDate-java.sql.Date-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeDate</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;decodeDate(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;d,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)</pre>
<div class="block">Decode a <code>Date</code> value using a given <code>Calendar</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>d</code> - The <code>Date</code> to be decoded</dd>
<dd><code>cal</code> - The <code>Calendar</code> to be used in the decoding, may be <code>null</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The decoded <code>Date</code></dd>
</dl>
</li>
</ul>
<a name="decodeDate-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeDate</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;decodeDate(byte[]&nbsp;byte_int)</pre>
<div class="block">Decode a <code>byte</code> array into a <code>Date</code> value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>byte_int</code> - The <code>byte</code> array to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The decoded <code>Date</code></dd>
</dl>
</li>
</ul>
<a name="decodeDateRaw-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeDateRaw</h4>
<pre><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a>&nbsp;decodeDateRaw(byte[]&nbsp;byte_int)</pre>
<div class="block">Decode a <code>byte</code> array into a raw date time struct.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>byte_int</code> - The <code>byte</code> array to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng"><code>DatatypeCoder.RawDateTimeStruct</code></a></dd>
</dl>
</li>
</ul>
<a name="decodeDateCalendar-byte:A-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeDateCalendar</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;decodeDateCalendar(byte[]&nbsp;byte_int,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;c)</pre>
</li>
</ul>
<a name="decodeBoolean-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeBoolean</h4>
<pre>boolean&nbsp;decodeBoolean(byte[]&nbsp;data)</pre>
<div class="block">Decode boolean from supplied data.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - (expected) 1 bytes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>false</code> when 0, <code>true</code> for all other values</dd>
</dl>
</li>
</ul>
<a name="encodeBoolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeBoolean</h4>
<pre>byte[]&nbsp;encodeBoolean(boolean&nbsp;value)</pre>
<div class="block">Encodes boolean to 1 byte data.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Boolean value to encode</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> as 1, <code>false</code> as 0.</dd>
</dl>
</li>
</ul>
<a name="encodeLocalTime-int-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeLocalTime</h4>
<pre>byte[]&nbsp;encodeLocalTime(int&nbsp;hour,
                       int&nbsp;minute,
                       int&nbsp;second,
                       int&nbsp;nanos)</pre>
<div class="block">Encodes a java.time.LocalTime equivalent to time bytes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hour</code> - Number of hours (is assumed to be 0..23)</dd>
<dd><code>minute</code> - Number of minutes (is assumed to be 0..59)</dd>
<dd><code>second</code> - Number of seconds (is assumed to be 0..59)</dd>
<dd><code>nanos</code> - Sub-second nanoseconds (actual resolution is 100 microseconds, is assumed to be 0 .. 10^9 - 1 ns)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Byte array for time</dd>
</dl>
</li>
</ul>
<a name="encodeLocalDate-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeLocalDate</h4>
<pre>byte[]&nbsp;encodeLocalDate(int&nbsp;year,
                       int&nbsp;month,
                       int&nbsp;day)</pre>
<div class="block">Encodes a java.time.LocalDate equivalent to date bytes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>year</code> - Year</dd>
<dd><code>month</code> - Month (is assumed to be 1..12)</dd>
<dd><code>day</code> - Day (is assumed to be valid for year and month)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Byte array for date</dd>
</dl>
</li>
</ul>
<a name="encodeLocalDateTime-int-int-int-int-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeLocalDateTime</h4>
<pre>byte[]&nbsp;encodeLocalDateTime(int&nbsp;year,
                           int&nbsp;month,
                           int&nbsp;day,
                           int&nbsp;hour,
                           int&nbsp;minute,
                           int&nbsp;second,
                           int&nbsp;nanos)</pre>
<div class="block">Encodes a java.time.LocalDateTime equivalent to timestamp bytes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>year</code> - Year</dd>
<dd><code>month</code> - Month (is assumed to be 1..12)</dd>
<dd><code>day</code> - Day (is assumed to be valid for year and month)</dd>
<dd><code>hour</code> - Number of hours (is assumed to be 0..23)</dd>
<dd><code>minute</code> - Number of minutes (is assumed to be 0..59)</dd>
<dd><code>second</code> - Number of seconds (is assumed to be 0..59)</dd>
<dd><code>nanos</code> - Sub-second nanoseconds (actual resolution is 100 microseconds, is assumed to be 0 .. 10^9 - 1 ns)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Byte array for timestamp</dd>
</dl>
</li>
</ul>
<a name="decodeDecimal64-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeDecimal64</h4>
<pre><a href="../../../../org/firebirdsql/extern/decimal/Decimal64.html" title="class in org.firebirdsql.extern.decimal">Decimal64</a>&nbsp;decodeDecimal64(byte[]&nbsp;data)</pre>
<div class="block">Decodes a decimal64 from byte array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - Data to decode (expected 8 bytes)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Decimal64 value</dd>
</dl>
</li>
</ul>
<a name="encodeDecimal64-org.firebirdsql.extern.decimal.Decimal64-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeDecimal64</h4>
<pre>byte[]&nbsp;encodeDecimal64(<a href="../../../../org/firebirdsql/extern/decimal/Decimal64.html" title="class in org.firebirdsql.extern.decimal">Decimal64</a>&nbsp;decimal64)</pre>
<div class="block">Encodes a decimal64 to a byte array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>decimal64</code> - The decimal64 value to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Byte array for decimal64 value</dd>
</dl>
</li>
</ul>
<a name="decodeDecimal128-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeDecimal128</h4>
<pre><a href="../../../../org/firebirdsql/extern/decimal/Decimal128.html" title="class in org.firebirdsql.extern.decimal">Decimal128</a>&nbsp;decodeDecimal128(byte[]&nbsp;data)</pre>
<div class="block">Decodes a decimal128 from byte array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - Data to decode (expected 16 bytes)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Decimal128 value</dd>
</dl>
</li>
</ul>
<a name="encodeDecimal128-org.firebirdsql.extern.decimal.Decimal128-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeDecimal128</h4>
<pre>byte[]&nbsp;encodeDecimal128(<a href="../../../../org/firebirdsql/extern/decimal/Decimal128.html" title="class in org.firebirdsql.extern.decimal">Decimal128</a>&nbsp;decimal128)</pre>
<div class="block">Encodes a decimal128 to a byte array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>decimal128</code> - The decimal128 value to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Byte array for decimal128 value</dd>
</dl>
</li>
</ul>
<a name="getEncodingFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingFactory</h4>
<pre><a href="../../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;getEncodingFactory()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The encoding factory.</dd>
</dl>
</li>
</ul>
<a name="getEncodingDefinition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingDefinition</h4>
<pre><a href="../../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a>&nbsp;getEncodingDefinition()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The encoding definition used by this datatype coder for string conversions.</dd>
</dl>
</li>
</ul>
<a name="getEncoding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncoding</h4>
<pre><a href="../../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getEncoding()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The encoding used by this datatype coder for string conversions.</dd>
</dl>
</li>
</ul>
<a name="forEncodingDefinition-org.firebirdsql.encodings.EncodingDefinition-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>forEncodingDefinition</h4>
<pre><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a>&nbsp;forEncodingDefinition(<a href="../../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a>&nbsp;encodingDefinition)</pre>
<div class="block">Return a derived datatype coder that applies the supplied encoding definition for string conversions.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>encodingDefinition</code> - Encoding definition</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Derived datatype coder (may be this instance if encoding definition is the same)</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="unwrap--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unwrap</h4>
<pre><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a>&nbsp;unwrap()</pre>
<div class="block">Unwrap this datatype coder to its parent (or itself).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Return the parent of this datatype code, or itself if it has no parent.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;other)</pre>
<div class="block">
 <p>
 Equality: same basic type (ie: wire protocol/JNA type + endianness) and same encoding definition.
 </p>
 <p>
 This does not need to take into account the encoding factory, as usage should be limited to datatype coders
 derived from the same connection.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - Object to compare to</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if other is an equivalent datatype coder.</dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/BlobLengthProcessor.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/DatatypeCoder.html" target="_top">Frames</a></li>
<li><a href="DatatypeCoder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
